Package ghidra.trace.database.symbol

# Class DBTraceClassSymbolView

java.lang.Object
ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeView<DBTraceClassSymbol>
ghidra.trace.database.symbol.DBTraceClassSymbolView

All Implemented Interfaces:
  `TraceClassSymbolView`, `TraceSymbolNoDuplicatesView<TraceClassSymbol>`, `TraceSymbolView<TraceClassSymbol>`

public class DBTraceClassSymbolView extends AbstractDBTraceSymbolSingleTypeView<DBTraceClassSymbol> implements TraceClassSymbolView

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeView

  `manager, store, symbolsByName, symbolsByParentID, typeID, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceClassSymbolView(DBTraceSymbolManager manager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DBTraceClassSymbol`
  `add(String name, TraceNamespaceSymbol parent, SourceType source)`
  Add a new class symbol.

  ### Methods inherited from class ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeView

  `constructView, getAll, getByKey, getChildren, getChildrenNamed, getManager, getNamed, getWithMatchingName, invalidateCache, scanByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceSymbolNoDuplicatesView

  `getChildNamed, getGlobalNamed`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceSymbolView

  `getAll, getChildren, getChildrenNamed, getGlobals, getGlobalsNamed, getManager, getNamed, getTrace, getWithMatchingName, scanByName, size`

- ## Constructor Details

  - ### DBTraceClassSymbolView

    public DBTraceClassSymbolView(DBTraceSymbolManager manager)

- ## Method Details

  - ### add

    public DBTraceClassSymbol add(String name, TraceNamespaceSymbol parent, SourceType source) throws DuplicateNameException, InvalidInputException, IllegalArgumentException
    Description copied from interface: `TraceClassSymbolView`
    Add a new class symbol.
    Specified by:
      `add` in interface `TraceClassSymbolView`
    Parameters:
      `name` - the name of the class
      `parent` - the parent namespace
      `source` - the source
    Returns:
      the new class symbol
    Throws:
      `DuplicateNameException` - if the name is duplicated in the parent namespace
      `InvalidInputException` - if the name is not valid
      `IllegalArgumentException` - if some other argument is not valid